Bug 471980 - gnome-session-properties not saving running applications
gnome-session-properties not saving running applications
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
: 426651 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-17 19:53 EST by Daryll
Modified: 2009-12-18 01:52 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:52:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 552387 None None None Never
Launchpad 249373 None None None Never

  None (edit)
Description Daryll 2008-11-17 19:53:06 EST
Description of problem: When I try to tell gnome-session-properties to save currently running programs, it doesn't save anything.

Version-Release number of selected component (if applicable):
gnome-session-2.24.1-3.fc10.i386

How reproducible: Every time


Steps to Reproduce:
1. Launch system -> perferences -> personal -> sessions
2. click options then Remember Currently Running Application
3. Click on startup programs
  
Actual results:
Notice the list hasn't changed from step #1 to step #3

Expected results:
New applications show up as startup items

Additional info:
Shouldn't the button actually say "Remember Currently Running Applications" as a plural instead of a singular?

Checking the box saying "Automatically remember running applications when logging out" also doesn't seem to work. When I log in the next time the list is still the same.

I'm running a whole set of applications, I suspect at least one of them should understand the session protocol.
Comment 1 Bug Zapper 2008-11-26 00:32:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Walery Studennikov 2008-12-03 08:04:52 EST
I commit that "gnome-session-save" doesn't save list of running programs.
After next login running programs are not restored.
Comment 3 Alex Lancaster 2008-12-07 08:10:07 EST
This is unfortunately a major regression introduced in GNOME 2.24.0 upstream, see:

http://bugzilla.gnome.org/show_bug.cgi?id=552387

seems quite unbelievable that this was introduced without any announcement or warning.

Apparently some workarounds here (I haven't tried them yet):

http://blogs.sun.com/mattman/entry/gnome_2_24_session_save1
Comment 4 pgaltieri 2008-12-14 17:38:37 EST
Why is this bug marked medium severity and medium priority?  This should be high priority and severity since it is a major regression from previous releases! The lack of this functionality is causing me to postpone any upgrades to F10.

Related to this issue I see the following in my .xsession-errors file:

Started none
gnome-session[27335]: EggSMClient-WARNING: Desktop file '/etc/xdg/autostart/esc.desktop' has malformed Icon key 'esc.png'(should not include extension)
Window manager warning: Failed to read saved session file /home/pgaltieri/.config/metacity/sessions/101654654ba000cec0122929186212815000000273350024.ms: Failed to open file '/home/pgaltieri/.config/metacity/sessions/101654654ba000cec0122929186212815000000273350024.ms': No such file or directory


I have the following versions of gnome-session installed:

gnome-session-xsession-2.24.2-1.fc10.x86_64
gnome-session-2.24.2-1.fc10.x86_64
Comment 5 Edward Kuns 2008-12-17 23:32:29 EST
Bug 426651 is a duplicate of this bug.  This is a deal-breaker bug for me.  I have upgraded one machine to FC10, but will hold off on all other upgrades until this is fixed.

This *needs* to be in the FC10 release notes.  If I had known beforehand that session saving/restoral would disappear, especially and unbelievably due to a *deliberate* regression in Gnome 2.24, I would have waited before upgrading ANY machines.
Comment 6 Alex Lancaster 2008-12-18 00:29:01 EST
(In reply to comment #5)
> Bug 426651 is a duplicate of this bug.  This is a deal-breaker bug for me.  I
> have upgraded one machine to FC10, but will hold off on all other upgrades
> until this is fixed.
> 
> This *needs* to be in the FC10 release notes.  If I had known beforehand that
> session saving/restoral would disappear, especially and unbelievably due to a
> *deliberate* regression in Gnome 2.24, I would have waited before upgrading ANY
> machines.

I agree this would have been a good idea to document in the F-10 release notes, although I can't really lay much blame on Fedora, especially since it's not even mentioned in the GNOME 2.24 release notes:

http://library.gnome.org/misc/release-notes/2.24/

I'm *really* surprised that the GNOME devs didn't see it fit to mention there, that way it would have at least been obvious to the Fedora Desktop team and they would have then more likely mentioned it in the Fedora release notes.
Comment 7 Alex Lancaster 2008-12-18 00:29:52 EST
*** Bug 426651 has been marked as a duplicate of this bug. ***
Comment 8 Alex Lancaster 2008-12-18 00:38:48 EST
On a cross-distribution note, it appears that this is also biting Ubuntu users and they are not happy either:

https://bugs.launchpad.net/ubuntu/+source/gnome-session/+bug/249373
Comment 9 pgaltieri 2008-12-18 08:41:10 EST
What's even more amazing to me is that the Desktop User's Guide explains how to save your session.  All the hype for 2.24 indicates they brought forward all the features from previous releases.  This was obviously wrong.  If they lied about this feature what other things have they changed and not said?  This is not a very good way to establish a good rapport with the user community.  If i'd known they deliberately broke this feature I would not have installed F10.  I'll upgrade my other systems to F9 and skip F10.   

The Gnome bug for this problem 552387 has been open since Sept 15 and is marked urget and blocker, but no one seems to be working it. Here's the comment I added to the Gnome bug yesterday:

This problem was first reported on Sep 15 it's now Dec 17 and still no fix.  I
find this feature very useful and because of this serious regression I have
postponed upgrading my systems to F10.  What's the hold up? I'm running version
gnome-session-2.24.2-1.fc10.x86_64

And here's the response:

Paolo, Manu: Whining does not really help in getting things fixed.
"What's the hold up?" Write the code for it and attach it here

I don't believe I was whining, I was asking a reasonable question.
Comment 10 Edward Kuns 2008-12-18 23:03:02 EST
Linking the previously-mentioned Ubuntu bug.  I don't blame Fedora (or Ubuntu).  As you say, this is an undocumented major Gnome regression that Gnome knowingly released in 2.24.

It's not too late to update the release notes, is it?
Comment 11 Eddie Lania 2009-10-11 13:49:48 EDT
Checking the box saying "Automatically remember running applications when
logging out" seems to work. But a message like:

Window manager warning: Failed to read saved session file /home/eddie/.config/metacity/sessions/10c6f488d2cfe18a3125527668551038100000028670031.ms: Failed to open file '/home/eddie/.config/metacity/sessions/10c6f488d2cfe18a3125527668551038100000028670031.ms': No such file or directory

still appears in the ~/.xsession-errors log file.

The directory ~/.config/metacity/sessions does not seem to be present by default. But it doesn't help to create it there manually

I believe previous version of fedora saved the session file at ~/.metacity
Comment 12 Bug Zapper 2009-11-18 03:53:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 01:52:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.